pcl::traits::detail::PointFieldTypes Struct Reference

Enumeration for different numerical types. More...

`#include <pcl/type_traits.h>`

## Static Public Attributes

static const std::uint8_t | INT8 = 1
static const std::uint8_t | UINT8 = 2
static const std::uint8_t | INT16 = 3
static const std::uint8_t | UINT16 = 4
static const std::uint8_t | INT32 = 5
static const std::uint8_t | UINT32 = 6
static const std::uint8_t | FLOAT32 = 7
static const std::uint8_t | FLOAT64 = 8

## Detailed Description

Enumeration for different numerical types.

struct used to enable scope and implicit conversion to int

Definition at line 72 of file type_traits.h.

## Member Data Documentation

## FLOAT32

const std::uint8_t pcl::traits::detail::PointFieldTypes::FLOAT32 = 7

static

Definition at line 76 of file type_traits.h.

## FLOAT64

const std::uint8_t pcl::traits::detail::PointFieldTypes::FLOAT64 = 8

static

Definition at line 76 of file type_traits.h.

## INT16

const std::uint8_t pcl::traits::detail::PointFieldTypes::INT16 = 3

static

Definition at line 74 of file type_traits.h.

## INT32

const std::uint8_t pcl::traits::detail::PointFieldTypes::INT32 = 5

static

Definition at line 75 of file type_traits.h.

## INT8

const std::uint8_t pcl::traits::detail::PointFieldTypes::INT8 = 1

static

Definition at line 73 of file type_traits.h.

## UINT16

const std::uint8_t pcl::traits::detail::PointFieldTypes::UINT16 = 4

static

Definition at line 74 of file type_traits.h.

## UINT32

const std::uint8_t pcl::traits::detail::PointFieldTypes::UINT32 = 6

static

Definition at line 75 of file type_traits.h.

## UINT8

const std::uint8_t pcl::traits::detail::PointFieldTypes::UINT8 = 2

static

Definition at line 73 of file type_traits.h.

The documentation for this struct was generated from the following file:

- pcl/type_traits.h